[alpine-devel] [PATCH] testing/brlaser: add new package
Export this patch
This is a driver for Brother DCP 70xx printers; it has been tested with
the DCP 7030 and the DCP 7065 DN all-in-one.
autoconf and automake was missing for the autogen.sh. I added those and
git commit --amend it.
I apologize for that omission.
Please let me know when you tested the package built from build server
so we can move it to main.
I will as soon as I can; currently it seems that this commit (and the
cups-filter update) have not been pushed to the aports repository, and
thus are not built.
whoops. sorry..
pushed now.
Works here.
(I only tested printing a text file, but the filter converts from
cups raster format, so the pipeline is text->ps->pdf->raster->brlaser;
image printing will go image->raster->brlaser, so should work the same.)
I moved it to main.
Upstream has made a couple non-code changes to advertise DCP 7065DN
support, so I hope to send those this evening.
thanks!
-nc
Thanks,
Isaac Dunham
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
Thanks!
-nc
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
---
testing/brlaser/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 50 insertions(+)
create mode 100644 testing/brlaser/APKBUILD
diff --git a/testing/brlaser/APKBUILD b/testing/brlaser/APKBUILD
new file mode 100644
index 0000000..733169b
--- /dev/null
+++ b/testing/brlaser/APKBUILD
@@ -0,0 +1,50 @@
+ # Contributor: Isaac Dunham <ibid.ag@gmail.com>
+ # Maintainer: Isaac Dunham <ibid.ag@gmail.com>
+ pkgname=brlaser
+ pkgver=2
+ pkgrel=0
+ pkgdesc="Driver for Brother DCP 7030 and DCP 7065 printers"
+ url="http://github.com/pdewacht/brlaser"
+ arch="all"
+ license="GPL2+"
+ depends="cups-filters"
+ depends_dev=""
+ makedepends="$depends_dev cups-dev"
+ install=""
+ subpackages="$pkgname-doc"
+ source="brlaser-$pkgver.tar.gz::https://github.com/pdewacht/brlaser/archive/v$pkgver.tar.gz"
+
+ _builddir="$srcdir"/brlaser-$pkgver
+ prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ }
+
+ build() {
+ cd "$_builddir"
+ ./autogen.sh \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ }
+
+ package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+ }
+
+ md5sums="34bc664707dcd51e96a3b79917bcb50d brlaser-2.tar.gz"
+ sha256sums="20852bb99004474c25885b7d7ba124b079e7ea6beb277a85500641ca34fe24c6 brlaser-2.tar.gz"
+ sha512sums="eda631fd4cf80e3dd0f7097b62fd8e73f8adcafdfad937b49b5515d4ede37bcb861fa8a69397cacc3634baf18551a06bf2feb85042e34432ee26e695b7b8339b brlaser-2.tar.gz"
--
2.0.1
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---